English | Deutsch | Español | Português
 UserID:
 Passwd:
new user
 About:   Dedicated  | Advanced  | Standard  | Recurring  | No Risk  | Desktop  | Basic  | Single  | Security Seal  | FAQ
  Price/Feature Summary  | Order  | New Vulnerabilities  | Confidentiality  | Vulnerability Search
 Vulnerability   
Search   
    Search 75803 CVE descriptions
and 40037 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.900558
Category:Buffer overflow
Title:Winamp libsndfile Buffer Overflow Vulnerability
Summary:Check for the version of Winamp
Description:

Overview: This host is installed with Winamp and is prone to Buffer
Overflow vulnerability.

Vulnerability Insight:
The flaw is generated due to boundary error in 'voc_read_header()' and
'aiff_read_header()' functions in libsndfile.dll while processing VOC
and AIFF files with invalid header values.

Impact:
Attackers may leverage this issue by executing arbitrary codes in the
context of the affected application via specially crafted VOC, AIFF
files and can cause denial of service.

Impact Level: System/Application

Affected Software/OS:
Winamp version 5.552 and prior on Windows.

Fix: Upgrade to the latest libsndfile version or apply the patch.
http://www.mega-nerd.com/libsndfile/
http://www.mega-nerd.com/erikd/Blog/CodeHacking/libsndfile/rel_20.html

*****
NOTE : Ignore this warning, if above mentioned patch is already applied.
*****

References:
http://secunia.com/advisories/35076
http://trapkit.de/advisories/TKADV2009-006.txt
http://www.vupen.com/english/advisories/2009/1324
Cross-Ref: BugTraq ID: 34978
Common Vulnerability Exposure (CVE) ID: CVE-2009-1788
http://trapkit.de/advisories/TKADV2009-006.txt
Debian Security Information: DSA-1814 (Google Search)
http://www.debian.org/security/2009/dsa-1814
http://security.gentoo.org/glsa/glsa-200905-09.xml
http://www.mandriva.com/security/advisories?name=MDVSA-2009:132
http://www.securityfocus.com/bid/34978
http://secunia.com/advisories/35076
http://secunia.com/advisories/35126
http://secunia.com/advisories/35247
http://secunia.com/advisories/35443
http://www.vupen.com/english/advisories/2009/1324
http://www.vupen.com/english/advisories/2009/1348
XForce ISS Database: libsndfile-aiff-voc-bo(50541)
http://xforce.iss.net/xforce/xfdb/50541
XForce ISS Database: libsndfile-voc-bo(50827)
http://xforce.iss.net/xforce/xfdb/50827
Common Vulnerability Exposure (CVE) ID: CVE-2009-1791
CopyrightCopyright (C) 2009 SecPod

This is only one of 40037 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.

New User Registration
Email:
UserID:
Passwd:
Please email me your monthly newsletters, informing the latest services, improvements & surveys.
Please email me a vulnerability test announcement whenever a new test is added.
   Privacy
Registered User Login
 
UserID:   
Passwd:  

 Forgot userid or passwd?
Email/Userid:




Home | About Us | Contact Us | Partner Programs | Developer APIs | Privacy | Mailing Lists | Abuse
Security Audits | Managed DNS | Network Monitoring | Site Analyzer | Internet Research Reports
Web Probe | Whois

© 1998-2014 E-Soft Inc. All rights reserved.